/** 
 * 
 * Copyright 2004 Hiram Chirino
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.message;


/**
 * A receipt that also carries a reponse object.
 */
public class IntResponseReceipt extends Receipt {

    private int result;

    /**
     * @see org.codehaus.activemq.message.Receipt#getPacketType()
     */
    public int getPacketType() {
        return INT_RESPONSE_RECEIPT_INFO;
    }

    /**
     * @return Returns the result.
     */
    public int getResult() {
        return result;
    }

    /**
     * @param result The result to set.
     */
    public void setResult(int result) {
        this.result = result;
    }

    public String toString() {
        return super.toString() + " IntResponseReceipt{ " +
                "result = " + result +
                " }";
    }
}
